Search All Webhook Events

Search and retrieve a list of WebhookEvents from all webhooks that you are subscribed to.

circle-info

To avoid performance issues, total_elements and total_pages properties are not populated for this endpoint response, being both returned with default value of 0.

Search All Webhook Events

post

Search WebhookEvents from all Webhooks.

Query parameters
pageinteger · int32OptionalDefault: 1
sizeinteger · int32OptionalDefault: 20
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Body

Webhook Event Search Request

idsinteger · int32[]Optional

Webhook Event Ids

webhook_idsinteger · int32[]Optional

Webhook Ids

webhook_remote_endpointsstring[]Optional

Webhook Remote Endpoints

status_codesinteger · int32[]Optional

Http Status Codes

entity_idsinteger · int64[]Optional

Entity Ids

before_datestring · date-timeOptional

Before Date

after_datestring · date-timeOptional

After Date

Responses
chevron-right
default

default response

application/json
lastbooleanOptional

Boolean indicating if this is the last page

total_pagesinteger · int32Optional

The total count of pages available

total_elementsinteger · int32Optional

The total count of objects available

firstbooleanOptional

Boolean indicating if this is the first page of the response

number_of_elementsinteger · int32Optional

The total number of objects in this specific response

sizeinteger · int32Optional

The page size selected at request time

numberinteger · int32Optional

The page number selected at request time

emptybooleanOptional

Boolean indicating if the response content is empty

next_page_cursorstringOptional

Contains the cursor for the next page. This property will only be used for situations where the API does not support the page number/page size paradigm and it will mutually exclusive with the size/number fields in the response. If this property is returned it must be passed when requesting the next page from the API. Does not apply to endpoints that do not have a next_page_cursor query param documented.

post
/events/webhooks/all/events/search
default

default response

Last updated

Was this helpful?